Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Zip.ArchiveState

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.Zip.ArchiveState

Enclosing class:
  Zip

public static class Zip.ArchiveState
extends java.lang.Object

Holds the up-to-date status and the out-of-date resources of the original archive.

Since:
  Ant 1.5.3

Method Summary
`Resource[][]` | `getResourcesToAdd()`
`boolean` | `isOutOfDate()`
`boolean` | `isWithoutAnyResources()` find out if there are absolutely no resources to add

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isOutOfDate

    public boolean isOutOfDate()

### getResourcesToAdd

    public Resource[][] getResourcesToAdd()

### isWithoutAnyResources

    public boolean isWithoutAnyResources()

  find out if there are absolutely no resources to add

  Returns:
    true if there are no resources to add
  Since:
    Ant 1.6.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.